/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing OrganizationApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class OrganizationApiTests : IDisposable
    {
        private OrganizationApi instance;

        public OrganizationApiTests()
        {
            instance = new OrganizationApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of OrganizationApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' OrganizationApi
            //Assert.IsType<OrganizationApi>(instance);
        }

        /// <summary>
        /// Test ApiV2OrganizationsOptions
        /// </summary>
        [Fact]
        public void ApiV2OrganizationsOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //instance.ApiV2OrganizationsOptions();
        }

        /// <summary>
        /// Test GetOrganization
        /// </summary>
        [Fact]
        public void GetOrganizationTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string organizationRorUri = null;
            //var response = instance.GetOrganization(organizationRorUri);
            //Assert.IsType<OrganizationDtoResponse>(response);
        }

        /// <summary>
        /// Test GetOrganizations
        /// </summary>
        [Fact]
        public void GetOrganizationsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string? searchTerm = null;
            //AcceptedLanguage? language = null;
            //bool? filterByPublicationService = null;
            //int? pageNumber = null;
            //int? pageSize = null;
            //string? orderBy = null;
            //var response = instance.GetOrganizations(searchTerm, language, filterByPublicationService, pageNumber, pageSize, orderBy);
            //Assert.IsType<OrganizationDtoPagedResponse>(response);
        }
    }
}
